package dsuzduotis;

import java.util.ArrayList;
import java.util.List;
import org.apache.poi.xssf.usermodel.XSSFCell;

public class Main {

    public static void main(String[] args) {
        SkaitytiXls xls = new SkaitytiXls();
        
        List<List<XSSFCell>> duom = xls.nuskaityti("./ExcelFailai/Kodas.xlsx", "Lapas1"); // kelias iki xlsx failo, puslapio (sheet) pavadinimas
        
        ArrayList<preke> preke = xls.CelesToPreke(duom); // is xlsx cell formato konvertuojame i ArrayList<preke> duomenis
        
        System.out.println("------ Sandelio prekes ------");
        spausdintiPreke(preke);
        
        SkaitytiXls2 kek = new SkaitytiXls2();
        List<List<XSSFCell>> sask = kek.nuskaityti("./ExcelFailai/Sandelys.xlsx", "Lapas1");
        ArrayList<Sandelys> Sandelys = kek.CelesToSandelys(sask);
        
        System.out.println("------------ Likutis ------------");
        spausdintiSandelys(Sandelys);
        
        System.out.println("------------Quick Sort pavadinimas-------------");
        QuickSort quicksort = new QuickSort();
        quicksort.sortingas(preke, new PavadinimasComparator(),0,preke.size()-1);
        spausdintiPreke(preke);
        
        System.out.println("------------Quick Sort inout-------------");
        QuickSort quicksort2 = new QuickSort();
        quicksort2.sortingas(Sandelys, new SandelysComparator(),0,preke.size()-1);
        spausdintiSandelys(Sandelys);
    
    }
    
    public static void spausdintiPreke(ArrayList<preke> arr) {
        arr.forEach((p) -> {
            System.out.println(p.toString());
        });
        System.out.println("");
    }
     public static void spausdintiSandelys(ArrayList<Sandelys> arr) {
         arr.forEach((p) -> {
             System.out.println(p.toString());
        });
        System.out.println("");

    }
     
     public static void spausdintiSandelysID(ArrayList<Sandelys> arr) {
         arr.forEach((p) -> {
             System.out.println(p.toStringID());
        });
        System.out.println("");

    }

    private static class Stshellring {

        public Stshellring() {
        }
    }

    private Main() {
    }

    private static class Quicksort {

        public Quicksort() {
        }
    }
     
}