package dsuzduotis;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;


public class SkaitytiXls2 {
  
    // nuskaito duomenis is XLSX failo ir suraso i celiu 2mati masyva List<List<XSSFCell>>
    // sio metodo keisti nereikia
    public List<List<XSSFCell>> nuskaityti(String fileName, String sheetName) {
        List<List<XSSFCell>> sheetData = new ArrayList<>();

        FileInputStream fis = null;
        try {
            fis = new FileInputStream(fileName);
            
            XSSFWorkbook workbook = new XSSFWorkbook(fis);
            XSSFSheet sheet = workbook.getSheet(sheetName); //workbook.getSheetAt(4);
            
            Iterator rows = sheet.rowIterator();
            while (rows.hasNext()) {
                XSSFRow row = (XSSFRow) rows.next();
                Iterator cells = row.cellIterator();

                List<XSSFCell> data = new ArrayList<>();
                while (cells.hasNext()) {
                    XSSFCell cell = (XSSFCell) cells.next();
                    data.add(cell);
                }

                sheetData.add(data);
            }
        } catch (IOException e) {
        } finally {
            if (fis != null) {
                try {
                    fis.close();
		} catch (IOException e) {
		}
            }
        }
        return sheetData;
    }
    
    // is 2macio celiu masyvo List<List<XSSFCell>> sheetData duomenis perkeliame i masyva, sudaryta is Preke objektu ArrayList<Preke> ats
    // si metoda reikia pakeisti pagal studentui skirta uzduoti
    public ArrayList<Sandelys> CelesToSandelys(List<List<XSSFCell>> sheetData) {
        ArrayList<Sandelys> ats = new ArrayList<>();
        
        // sukame cikla per eilutes, pradedame ne nuo 0-lines, o nuo 1-mos, nes yra antrastes
        for (int i = 1; i < sheetData.size(); i++) { 

            List<XSSFCell> list = (List<XSSFCell>) sheetData.get(i); // nuskaitome i-aja eilute

            XSSFCell cellkodas = (XSSFCell) list.get(2); // pasiimame 0-line cele is eilutes
            XSSFCell celldata   = (XSSFCell) list.get(1); // pasiimame 1-ma cele is eilutes
            XSSFCell cellinOut   = (XSSFCell) list.get(0); // pasiimame 1-ma cele is eilutes
            XSSFCell cellkiekis   = (XSSFCell) list.get(3);
          
            
            int kodas = (int) cellkodas.getNumericCellValue();              // pasiimame 0-lines celes reiksme
            float data = (float) celldata.getNumericCellValue();      // pasiimame 1-os celes reiksme
            int inOut = (int) cellinOut.getNumericCellValue();
            int kiekis = (int) cellkiekis.getNumericCellValue();
            
         
            
            //preke p = new Preke(kodas, pavadinimas);
            Sandelys p = new Sandelys();
            p.setKodas(kodas);
            p.setData(data);
            p.setInOut(inOut);
            p.setKiekis(kiekis);
            ats.add(p);
        }
        return ats;
    }
}
