package dsuzduotis;

import java.util.Comparator;
import java.util.List;


public class QuickSort  {
public static final QuickSort INSTANCE = new QuickSort();
QuickSort() {}
//@SuppressWarnings("unchecked")
public void sortingas(List list, Comparator comparator, int z, int x) {
	 if (list == null || list.isEmpty()) {
	  return;
	 }
	 if (z >= x) {
	  return;
	 }
	 int middle;
	 middle = z + (x - z) / 2;
	 Object pivot = list.get(middle);
	 int i = z;
	 int j = x;
	 while (i <= j) {
	  while (comparator.compare(list.get(i), pivot) < 0) {
	   i++;
	  }
	  while (comparator.compare(list.get(j), pivot) > 0) {
	   j--;
	  }
	  if (i <= j) {
	   Object temp = list.get(i);
	   list.set(i, list.get(j));
	   list.set(j, temp);
	   i++;
	   j--;
	  }
	 }

	 if (z < j) {
	  sortingas(list, comparator, z, j);
	 }
	 if (x > i) {
	  sortingas(list, comparator, i, x);
	 }


	}
}